package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Brt;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BrtMapper {

    int insert(Brt record);

    int insertSelective(Brt record);

    int updateByPrimaryKeySelective(Brt record);

    int updateByPrimaryKey(Brt record);

    int deleteByPrimaryKey(Brt record);

    int deleteByIds(Collection<Object> collection);

    Brt selectByPrimaryKey(Brt record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Brt> dyncRead(Map<String, Object> dyncMap);

}